.meteoBlock {
    width: 600px;
    padding: 40px;
    box-shadow: 10px 10px 25px #38444a,
    -10px -10px 25px #5e717b;
    border-radius: 10px;

    .meteoResult {
        height: 500px;
        width: 600px;
    
        // ICON
        .weatherIcon {
            left: 0;
            width: calc(50% - 80px);
            height: calc(50% - 80px);
            padding: 40px;
        }
        // TEMP
        .temperatures {
            right: 0;
            width: calc(50% - 80px);
            height: calc(50% - 80px);
            padding: 40px;

            // MIN AND MAX TEMPS
            .minAndMaxTemp {
                margin-top: 40px;
                h3 {
                    &:first-of-type {
                        left: 40px;
                    }
                    &:last-of-type {
                        right: 40px;
                    }
                }
                .minTemp {
                    color: #6FE3E4;
                }
                .maxTemp {
                    color: #E4706F;
                }
            }
        }
        // WIND / SUNRISE / SUNSET
        .otherInfos {
            top: 50%;
            width: calc(100% - 80px);
            height: calc(50% - 40px);
            padding: 20px 40px;
            
            .windBlock{
                display: flex;
                align-items: center;
                margin-top: 20px;
    
                h3 {
                    margin-right: 10px;
                }
            }
            .sunBlock {
                position: absolute;
                bottom: 40px;
            }
        }
    }
}
  
// MOBILE DEVICE
@media(max-width: 756px) {

    .meteoBlock {
        width: 100%;
        box-shadow: none;
        top: 0;
        padding: 0;

        .meteoResult {
        width: calc(100% - 40px);

            .weatherIcon, .temperatures, .sunBlock {
                position: unset;
                width: 100%;
                padding: 0;
            }
            .otherInfos {
                position: unset;
                height: auto;
                min-height: calc(50% - 40px);
            }
            .windBlock {
                margin-bottom: 20px;
            }
            .sunBlock {
                position: unset!important;
            }
        }
    }
}